import { RoleRecord } from '@/api/role';

export type RoleType = '' | '*' | 'admin' | 'user' | string[];
export interface UserState {
  [x: string]: { value: any; id: string; avatar: string; createAt: string; username: string; nickName: string; password: string; phone: string; email: string; enabled: string; address: string; deptId: { id: string; remark: string; createTime: string; name: string; enabled: string; }|undefined; roleId: string|{ id: string; name: string; dataScope: string; permissionIds: (number|undefined)[]; remark: string; authorities: (number|undefined)[]; }|undefined; permissionIds: (number|undefined)[]; authorities: string[]; };
  username?: string;
  nickName?: string;
  avatar?: string;
  email?: string;
  phone?: string;
  address?: string;
  createAt?: string;
  remark?: string;
  id?: number;
  role?: RoleRecord;
  roles?: RoleRecord[];
  permissions?: string[] | '' | '*' | 'admin' | 'user'|'auditor';
  authorities?: string[]
}
